variable "name"       { type = string }
variable "stage"      { type = string }
variable "source_dir" { type = string }
variable "handler"    { type = string }
variable "runtime"    { type = string }

variable "zip_excludes" {
  type    = list(string)
  default = [
    "**/__pycache__/**",
    "**/*.pyc",
    "**/.pytest_cache/**",
    "**/tests/**",
    "**/deployment/**"
  ]
}

variable "timeout"     {
  type = number
  default = 600
}
variable "memory_size" {
  type = number
  default = 512
}
variable "environment" {
  type = map(string)
  default = {}
}

variable "domain_name"     {
  type = string
  default = null
}
variable "certificate_arn" {
  type = string
  default = null
}
variable "route53_zone_id" {
  type = string
  default = null
}
variable "artifact_bucket" { type = string }

variable "requirements_file" {
  type    = string
  default = null
}